summaryrefslogtreecommitdiff
path: root/dev-python/yara-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-18 06:55:04 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-18 06:55:04 +0000
commit91aa45a7eb7369a150f1728a7f88ccfc5fce71ee (patch)
tree30fcb166291c1ed0ad5a338689d69a4e2d2bc324 /dev-python/yara-python
parent429dc541e36c2b837b46c40305f15f2f7ba3252e (diff)
downloadbaldeagleos-repo-91aa45a7eb7369a150f1728a7f88ccfc5fce71ee.tar.gz
baldeagleos-repo-91aa45a7eb7369a150f1728a7f88ccfc5fce71ee.tar.xz
baldeagleos-repo-91aa45a7eb7369a150f1728a7f88ccfc5fce71ee.zip
Adding metadata
Diffstat (limited to 'dev-python/yara-python')
-rw-r--r--dev-python/yara-python/Manifest1
-rw-r--r--dev-python/yara-python/yara-python-4.5.1.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index 88f7cd99469d..7d6e025c5f69 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1 +1,2 @@
DIST yara-python-4.5.0.gh.tar.gz 39301 BLAKE2B 9bee247ef21b6e2e576acbac7cfcf140fd3b1ab992affc019f9ce290e00809e397d5057b9033f53fcd94885e855e783e4c43835850c9e6dcd57d74661ba8380b SHA512 b4f091bff7fd3bcd63e7f9f0a765aac7bdb3f17a1bc4b163687ae9ca21048194d90cf2bf1165998edb9953b83e022939179c51de59862a456676f099de69778d
+DIST yara-python-4.5.1.gh.tar.gz 39419 BLAKE2B e89677bd8b857e9c7b40b172311245ab7cc2149bfec6de09905494645d65abd67b1a41978101795ddb9dcb9d4344c3a4ffc23c96291580f17f59cdabe66a1d59 SHA512 fb3d78cea58a5dcb21287d5211805ef7097c07b9117e4fe78a7e56b40f2520950f0e8d6f1eb3c4253a454e10ca782c3826c19613bd17677bef491ae91f9f9d2a
diff --git a/dev-python/yara-python/yara-python-4.5.1.ebuild b/dev-python/yara-python/yara-python-4.5.1.ebuild
new file mode 100644
index 000000000000..cbc337ec28b2
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.5.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_EXT=1
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/VirusTotal/yara-python.git"
+else
+ SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ =app-forensics/yara-$(ver_cut 1-2)*
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ dynamic_linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}